Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Project Rio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jini.rio.boot
Class AdaptiveClassAnnotator

    java.lang.Object
      org.jini.rio.boot.ClassAnnotator
          org.jini.rio.boot.AdaptiveClassAnnotator

All Implemented Interfaces:
  ClassAnnotation

    public class AdaptiveClassAnnotator

extends ClassAnnotator

The AdaptiveClassAnnotator will attempt to see if the codebase can be served by the local HTTP daemon (Webster) by determining if the codebase jars first exist on the local resource, and have the same message digests.

Constructor Summary
`AdaptiveClassAnnotator(URL[] codebase, Properties props)` Constructs a new ClassAnnotator for the specified codebase URLs

Method Summary
`void` | `setAnnotationURLs(URL[] urls)` Override super's implementation and check for codebase adaption option

Methods inherited from class org.jini.rio.boot.ClassAnnotator
`getClassAnnotation, getProperties, getURLs, urisToPath, urlsToPath`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AdaptiveClassAnnotator

    public AdaptiveClassAnnotator(URL[] codebase,
                                  Properties props)

  Constructs a new ClassAnnotator for the specified codebase URLs

  Parameters:
    `codebase` - Array of URLs to use for the codebase
    `props` - Optional properties a ClassAnnotator may use to control behavior

Method Detail

### setAnnotationURLs

    public void setAnnotationURLs(URL[] urls)

  Override super's implementation and check for codebase adaption option

  Overrides:
    `setAnnotationURLs` in class `ClassAnnotator`
  Parameters:
    `urls` - The URLs used for class annotations.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Project Rio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Project Rio.